Update Order

The Update Order API is used to update an order with HIPS. Authentication Key Type: SalesChannelApiKey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example:

curl --request PATCH \
  --url https://api.hips.com/v2/orders/UVWofp7AjHiRKNLjhUjMnhc3 \
  --header 'Accept: application/json' \
  --header 'Authorization: private_9xxJrsc1u2TF6cPCm6JzG2ry' \
  --header 'Content-Type: application/json' \
  --data '{  
   "order_id": "123",
   "purchase_currency": "USD",
   "user_session_id": "3246568465743",
   "user_identifier": "SmartShopper17",
   "cart": {  
      "items": [  
         {  
            "type": "physical",
            "sku": "3123123",
            "name": "Hips cup",
            "quantity": 1,
            "unit_price": 1000,
            "discount_rate":0,
            "vat_amount": 250
         },
         {  
            "type": "shipping_fee",
            "sku": "1",
            "name": "UPS Express",
            "quantity": 1,
            "unit_price": 1000,
            "discount_rate":0,
            "vat_amount": 250
         }
      ]
   },
   "require_shipping": true,
   "express_shipping": true,
   "hooks": {
    "user_return_url_on_success": "https://mystore.com/thank_you",
    "user_return_url_on_fail": "https://mystore.com/sorry",
    "terms_url": "https://mystore.com/terms",
    "webhook_url": "https://api.mystore.com/confirmations"
   }
}'
Path Params
string
required

Order ID (Generated by Hips. This is not the merchants Order ID) is the same as Order Token

Body Params

The Update Order API is used to update an order with HIPS. Authentication Key Type: SalesChannelApiKey

string

Your unique order id of this order. (max 255 characters)

string
enum

We use the ISO 4217 standard for defining currencies.

string

Your metadata 1 for order (max 255 characters)

string

Your metadata 2 for order (max 255 characters)

cart
object
required

Representation of object Cart Model

int32

Set the total order amount (including V.A.T)

int32

Set the V.A.T amount

boolean

Specifies if this order requires shipping

boolean

Specifies if this order requires express shipping.

shipping_address
object

Specifies the shipping address. Billing address is set by the checkout API. If you want to specify billing address in this point, please use the Payment API instead. Recommended is to let the checkout API set billing address based on user input at the hosted checkout page.

hooks
object
string

If this order is a QR payment, you should send the session_id here from the start_qr_session webhook.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json